PT BIA - Bug #3923

ESS Travel - Validasi2 yang disatukan untuk travel untuk yg masih on progress
09/29/2025 11:31 AM - Mr Ikmal

Status: QA Test Start date: 09/29/2025
Priority: High Due date: 09/30/2025
Assignee: Mr [kmal % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 3.00 hours
Description

Dear mas azid,
Berikut yg sudah disatukan untuk yg masih on progress di status redmine sebelum2 nya:

1. Validasi Update Header -> Accommodation & Cost
- Jika StartDate dan EndDate pada Header (table: PDSWFTRAVELHEADER) diubah (ketika sudah ada data), maka:

- StartDate dan EndDate pada Grid Accommodation (table: PDSWFTRAVELACCOMODATION) dan Grid Cost (table:
PDSWFTRAVELCOST) ikut otomatis ter-update sesuai perubahan pada Header.

Referensi Redmine sebelumnya: #3888

2. Validasi Wajib Comment saat Revise/Reject (Atasan)

- Pada workflow TRAVEL_AJTM, tambahkan validasi:

- Field Comment wajib diisi ketika atasan melakukan Revise atau Reject.
- Jika kosong, sistem tidak boleh melanjutkan proses.

Referensi Redmine sebelumnya: #3878

3. Hide Button Add & Delete pada Approval

Pada Grid Accommodation dan Grid Cost:

- Button Add dan Delete hanya tampil saat task karyawan (pengajuan travel). Ketika sudah berada di task Approval Atasan maupun
Approval HR, button Add dan Delete harus di-hide.

Referensi Redmine sebelumnya: #3922

PORT DEV : http://remote.minovais.com:61139/

DB : remote.minovais.com, 1468
Nama DB : MinovaES_BIA BaseServerCloud

History

#1 - 09/29/2025 12:25 PM - Kezia Pawitra Yulianti
- Due date set to 09/30/2025
- Status changed from New to Assigned

- Priority changed from Normal to High

#2 - 09/29/2025 02:45 PM - Mr Ikmal

4. Mohon bantuannya untuk menambahkan validasi pada ESS Overtime.
Pada bagian Grid Main (table: PDSWFMDOVERTIME), field Start Date dan End Date perlu diberi validasi agar saat requester (task create)
menginput EndDate yang lebih kecil dari StartDate, maka pengajuan tidak dapat disubmit.

Atau referensi nya, ada validasi serupa juga pada ESS Leave di pilihan tanggal yang tampil (terlampir screenshot), kalau bisa dibuat seperti itu boleh
juga ya.

Video demo testing:
https://drive.google.com/file/d/1eQ_Smxb_9jMWuyin5-xuNH-wLhoX7tsT/view?usp=sharing
Referensi Redmine sebelumnya: #3895

5. Mohon bantuannya untuk memperlebar kolom di grid Total Cost pada ESS Travel (request dari client), agar tulisan di dalamnya dapat terlihat
dengan jelas.

Referensi redmine sebelumnya: #3892
Terima kasih.
#3 - 09/29/2025 05:51 PM - M Azid Wahyudi

- Status changed from Assigned to QA Test
- Assignee changed from M Azid Wahyudi to Mr Ikmal

dear ikmal , udah bisa di test semua ya kecuali no 1 itu kan bisa lebih dari satu kalau dia 2 record dengan tanggal yang berbeda gimana jadi di
samain semua tanggalnya ?

package :
bizproc(afterrender,beforesubmit,init, method)

messagecatalog (TESTEROR,VALOVRDT)

makasih
